
Figure - Bug #112019
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111055 (New): AF-V2.0-Launcher/SystemUI-控制中心-4播放器

【AF】【EVT】【控制中心】音乐播放器后台播放音乐时，控制中心中的播放器小组件不显示正在播放的音
乐和播放状态
2022-09-19 16:45 - CD Test赵飞

Status: CLOSED Start date: 2022-09-19

Priority: High Due date: 2022-09-23

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V1.0_update_20220925

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220916.alpha

Resolution: FIXED Degrated: --

Severity: Major Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220924.alpha_0019

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause:

Description

测试版本：FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220916.alpha

【前提条件】

1、设备已开机

2、DUT中存储有本地音乐

【测试步骤】

1、打开音乐播放器，播放本地音乐

2、进入控制中心查看

【预期结果】

2、控制中心中的播放器组件中显示当前正在播放音乐的名称，作者和播放状态

【实际结果】

2、控制中心中的播放器组件中显示“暂无歌曲”

【复现率】

5/5

【Log】

截图见附件

History

#1 - 2022-09-20 15:02 - CD Test赵飞

- Category set to CD-FW

#2 - 2022-09-21 20:32 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD Test赵飞

- Target version set to VX1_MCE_FSE_V1.0_update_20220925

■ Current state
问题已经解决

■ My Analyze

由于SnapdragonMusic是使用自定义的布局文件来设置通知视图的,没有使用MediaStyle来发送通知,导致MediaDataManager#isMediaNotification一直返回false,

因此不会显示在Qs的MediaHost中,只在通知中显示.

目前的做法是,重新适配SnapdragonMusic中的通知,使用MediaStyle来发送通知.

■ Next Step

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/SnapdragonMusic/+/150507

请在下个版本进行测试验证

#3 - 2022-09-22 15:47 - CD FW-鲁凯峰

- Resolution changed from -- to FIXED

#4 - 2022-09-24 14:46 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 80

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220924.alpha_0019

验证版本：FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220924.alpha_0019

验证结果：PASS

#5 - 2022-09-24 14:46 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

#6 - 2022-09-24 14:47 - CD Test赵飞

- % Done changed from 80 to 100

#7 - 2022-12-22 20:35 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

150507 general/platform/packages/apps/Snapd

ragonMusic

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

App:Music: refactor notificationuse notification media style instead of notification custom viewTC-RID: 1201-0301201IssueID: TS-R-DF-112019Change-Id:

I2650d19b076ddd30ff18684f8d62f8b27a6b9fd6

#8 - 2022-12-22 20:53 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

162828 general/platform/packages/apps/Snapd

ragonMusic

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/SnapdragonMusic/+/150507


App:Music: update notification media icon1.update notification media icon2.set action id to show action1,action2,action3TC-RID: 1201-0301201IssueID:

TS-R-DF-112019Change-Id: I22dc7c3033e74a6bd5557af31813e301a632a36b

Files

music_playeer_widget.jpg 176 KB 2022-09-19 CD Test赵飞
